Package net.shibboleth.idp.profile.messaging.impl

# Class SelectRelyingPartyConfiguration

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.messaging.handler.AbstractMessageHandler
net.shibboleth.idp.profile.messaging.impl.SelectRelyingPartyConfiguration

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `MessageHandler`

public final class SelectRelyingPartyConfiguration extends AbstractMessageHandler
This message handler attempts to resolve a `RelyingPartyConfiguration` and adds it to the `RelyingPartyContext` that was looked up.

Postcondition:
  If a `RelyingPartyContext` is located, it will be populated with a non-null result of applying the supplied `RelyingPartyConfigurationResolver` to the `RelyingPartyContext.getRelyingPartyId()`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.
`private Function<MessageContext,RelyingPartyContext>`
`relyingPartyContextLookupStrategy`
Strategy used to locate the `RelyingPartyContext` associated with a given `MessageContext`.
`private RelyingPartyContext`
`relyingPartyCtx`
The `RelyingPartyContext` to manipulate.
`private ReloadableService<RelyingPartyConfigurationResolver>`
`rpConfigResolver`
Resolver used to look up relying party configurations.

## Constructor Summary

Constructors
Constructor
Description
`SelectRelyingPartyConfiguration()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doInitialize()`
`void`
`doInvoke(MessageContext messageContext)`
`boolean`
`doPreInvoke(MessageContext messageContext)`
`void`
`setRelyingPartyConfigurationResolver(ReloadableService<RelyingPartyConfigurationResolver> resolver)`
Set the relying party config resolver to use.
`void`
`setRelyingPartyContextLookupStrategy(Function<MessageContext,RelyingPartyContext> strategy)`
Set the strategy used to locate the `RelyingPartyContext` associated with a given `MessageContext`.

### Methods inherited from class org.opensaml.messaging.handler.AbstractMessageHandler

`doPostInvoke, doPostInvoke, getActivationCondition, getLogPrefix, invoke, isPreInvokeCalled, setActivationCondition`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### rpConfigResolver

@NonnullAfterInit private ReloadableService<RelyingPartyConfigurationResolver> rpConfigResolver
Resolver used to look up relying party configurations.

### relyingPartyContextLookupStrategy

@Nonnull private Function<MessageContext,RelyingPartyContext> relyingPartyContextLookupStrategy
Strategy used to locate the `RelyingPartyContext` associated with a given `MessageContext`.

### relyingPartyCtx

@Nullable private RelyingPartyContext relyingPartyCtx
The `RelyingPartyContext` to manipulate.

## Constructor Details

### SelectRelyingPartyConfiguration

public SelectRelyingPartyConfiguration()
Constructor.

## Method Details

### setRelyingPartyConfigurationResolver

public void setRelyingPartyConfigurationResolver(@Nonnull ReloadableService<RelyingPartyConfigurationResolver> resolver)
Set the relying party config resolver to use.

Parameters:
  `resolver` - the resolver to use

### setRelyingPartyContextLookupStrategy

public void setRelyingPartyContextLookupStrategy(@Nonnull Function<MessageContext,RelyingPartyContext> strategy)
Set the strategy used to locate the `RelyingPartyContext` associated with a given `MessageContext`.

Parameters:
  `strategy` - strategy used to locate the `RelyingPartyContext` associated with a given `MessageContext`

### doInitialize

protected void doInitialize() throws ComponentInitializationException

Overrides:
  `doInitialize` in class `AbstractInitializableComponent`
Throws:
  `ComponentInitializationException`

### doPreInvoke

public boolean doPreInvoke(@Nonnull MessageContext messageContext) throws MessageHandlerException

Overrides:
  `doPreInvoke` in class `AbstractMessageHandler`
Throws:
  `MessageHandlerException`

### doInvoke

public void doInvoke(@Nonnull MessageContext messageContext) throws MessageHandlerException

Specified by:
  `doInvoke` in class `AbstractMessageHandler`
Throws:
  `MessageHandlerException`